org.apache.ignite.internal.processors.metric.impl

## Class DoubleGauge

- java.lang.Object
- - org.apache.ignite.internal.processors.metric.AbstractMetric
  - - org.apache.ignite.internal.processors.metric.impl.DoubleGauge

All Implemented Interfaces:
  DoubleMetric, Metric

    public class DoubleGauge
    extends AbstractMetric
    implements DoubleMetric

Implementation based on primitive supplier.

### Constructor Summary

Constructors
Constructor and Description
`DoubleGauge(String name, @Nullable String desc, DoubleSupplier val)`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `value()`

### Methods inherited from class org.apache.ignite.internal.processors.metric.AbstractMetric

`description, equals, hashCode, name`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.spi.metric.DoubleMetric

`getAsString`

### Methods inherited from interface org.apache.ignite.spi.metric.Metric

`description, name, reset`

### Constructor Detail

#### DoubleGauge

    public DoubleGauge(String name,
                       @Nullable
                       @Nullable String desc,
                       DoubleSupplier val)

Parameters:
  `name` - Name.
  `desc` - Description.
  `val` - Supplier.

### Method Detail

#### value

    public double value()

Specified by:
  `value` in interface `DoubleMetric`
Returns:
  Value of the metric.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021